document.addEventListener('DOMContentLoaded', () => {
  const clocks = document.querySelectorAll('.clock');
  
  function updateClocks() {
    clocks.forEach(clock => {
      const timezone = clock.dataset.timezone;
      const now = new Date().toLocaleString('en-US', { timeZone: timezone });
      const time = new Date(now);
      
      const hours = time.getHours();
      const minutes = time.getMinutes();
      const seconds = time.getSeconds();
      
      const hourDeg = (hours % 12) * 30 + minutes * 0.5;
      const minuteDeg = minutes * 6;
      const secondDeg = seconds * 6;
      
      const hourHand = clock.querySelector('.hour');
      const minuteHand = clock.querySelector('.minute');
      const secondHand = clock.querySelector('.second');
      const timeDisplay = clock.querySelector('.time-display');
      
      hourHand.style.transform = `rotate(${hourDeg}deg)`;
      minuteHand.style.transform = `rotate(${minuteDeg}deg)`;
      secondHand.style.transform = `rotate(${secondDeg}deg)`;
      
      timeDisplay.textContent = time.toLocaleTimeString('en-US', {
        hour: '2-digit',
        minute: '2-digit',
        hour12: true
      });
    });
  }
  
  // Update every second
  setInterval(updateClocks, 1000);
  // Initial update
  updateClocks();
});
